=== debian/changelog ===
tig (2.0.2-2build1) xenial; urgency=medium

  * No-change rebuild for ncurses6 transition.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 09:46:29 +0000

tig (2.0.2-2) UNRELEASED; urgency=medium

  * debian/patches:
    - Added bts757692-topo-order: upstream patch fixing a display regression;
      thanks to Simon Paillard for reporting this and Jonas Fonseca for a
      quick handling of the bug (Closes:  #757692).

 -- Sebastian Harl <tokkee@debian.org>  Sat, 22 Nov 2014 12:34:36 +0100

tig (2.0.2-1) unstable; urgency=medium

  [ Sebastian Harl ]
  * New upstream release; thanks to Aníbal Monsalve Salazar for reporting this
    (Closes: #746560).
  * debian/control:
    - Build-depend on libreadline-dev.
  * debian/rules:
    - Use NEWS.adoc in place of NEWS and remove BUGS which is no longer
      available.
    - Don't install contrib/tigrc as example any more. Upstream now provides
      /etc/tigrc by default.
    - Use dh_prep instead of 'dh_clean -k'.

  [ Trent W. Buck ]
  * Bump compat to 9.
  * debian/control:
    - tig enhances git.
    - Improved short description to better match the upstream description.

 -- Sebastian Harl <tokkee@debian.org>  Wed, 23 Jul 2014 10:46:04 +0200
