## tig 2.2

=== debian/changelog ===
tig (2.2-1) experimental; urgency=medium

  [ Sebastian Harl ]
  * New upstream release (Closes: #808134).
  * debian/rules:
    - Install sample tigrc files from contrib as examples.
  * debian/control:
    - Update standards version to 4.9.8; no changes.

  [ Satish Bysany ]
  * debian/rules:
    - Fix lintian warnings (W: package-installs-into-obsolete-dir). Install
      to usr/share/bash-completion/completions (Closes: #812931).

 -- Sebastian Harl <tokkee@debian.org>  Sat, 24 Sep 2016 15:48:31 +0200

tig (2.0.3-1) experimental; urgency=medium

  * New upstream release:
    - Fixes a regression in the graph renderer; thanks to Simon Paillard for
      reporting this (Closes: #757692).
  * Upload to experimental because of the Jessie freeze.
  * debian/rules:
    - Manually clean doc/manual.tex.
  * debian/patches:
    - Removed bts757692-topo-order: included upstream.

 -- Sebastian Harl <tokkee@debian.org>  Sun, 23 Nov 2014 17:24:40 +0100

tig (2.0.2-2) unstable; urgency=medium

  * debian/patches:
    - Added bts757692-topo-order: upstream patch fixing a display regression;
      thanks to Simon Paillard for reporting this and Jonas Fonseca for a
      quick handling of the bug (Closes: #757692).

 -- Sebastian Harl <tokkee@debian.org>  Sat, 22 Nov 2014 12:56:28 +0100
