## tig 2.3.0

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 # The last tagged version. Can be overridden either by the version from
 # git or from the value of the DIST_VERSION environment variable.
-VERSION	= 2.0.2
+VERSION	= 2.3.0
 
 all:
 
@@ -12,6 +12,14 @@
 
 # Include setting from the configure script
 -include config.make
+
+# Optional defaults.
+# TIG_ variables are set by contrib/config.make-$(kernel_name).
+TIG_NCURSES ?= -lcurses
+LDFLAGS ?= $(TIG_LDFLAGS)
+CPPFLAGS ?= $(TIG_CPPFLAGS)
+LDLIBS ?= $(TIG_NCURSES) $(TIG_LDLIBS)
+CFLAGS ?= -Wall -O2 $(TIG_CFLAGS)
 
 prefix ?= $(HOME)
 bindir ?= $(prefix)/bin
@@ -37,11 +45,9 @@
 RPM_VERSION = $(word 1,$(RPM_VERLIST))
 RPM_RELEASE = $(word 2,$(RPM_VERLIST))$(if $(WTDIRTY),.dirty)
 
-LDLIBS ?= -lcurses
-CFLAGS ?= -Wall -O2
 DFLAGS	= -g -DDEBUG -Werror -O0
 EXE	= src/tig
-TOOLS	= test/test-graph tools/doc-gen
+TOOLS	= test/tools/test-graph tools/doc-gen
 TXTDOC	= doc/tig.1.adoc doc/tigrc.5.adoc doc/manual.adoc NEWS.adoc README.adoc INSTALL.adoc
 MANDOC	= doc/tig.1 doc/tigrc.5 doc/tigmanual.7
 HTMLDOC = doc/tig.1.html doc/tigrc.5.html doc/manual.html README.html INSTALL.html NEWS.html
@@ -57,14 +63,25 @@
 
 override CPPFLAGS += '-DTIG_VERSION="$(VERSION)"'
 override CPPFLAGS += '-DSYSCONFDIR="$(sysconfdir)"'
+ifdef TIG_USER_CONFIG
+override CPPFLAGS += '-DTIG_USER_CONFIG="$(TIG_USER_CONFIG)"'
+endif
 
 ASCIIDOC ?= asciidoc
 ASCIIDOC_FLAGS = -aversion=$(VERSION) -asysconfdir=$(sysconfdir) -f doc/asciidoc.conf
 XMLTO ?= xmlto
 DOCBOOK2PDF ?= docbook2pdf
 
+LCOV ?= lcov
+GENHTML ?= genhtml
+ifneq (,$(shell which gsed 2>/dev/null))
+SED ?= gsed
+else
+SED ?= sed
+endif
+
 all: $(EXE) $(TOOLS)
-all-debug: $(EXE) $(TOOLS)
+all-debug: all
 all-debug: CFLAGS += $(DFLAGS)
 doc: $(ALLDOC)
 doc-man: $(MANDOC)
@@ -103,12 +120,25 @@
 install-doc: install-doc-man install-doc-html
 install-release-doc: install-release-doc-man install-release-doc-html
 
-clean:
-	$(RM) -r $(TARNAME) *.spec tig-*.tar.gz tig-*.tar.gz.md5 .deps
-	$(RM) $(EXE) $(TOOLS) $(OBJS) core doc/*.xml src/builtin-config.c
+uninstall:
+	$(QUIET_UNINSTALL)tools/uninstall.sh "$(DESTDIR)$(bindir)/$(EXE:src/%=%)"
+	$(QUIET_UNINSTALL)tools/uninstall.sh "$(DESTDIR)$(sysconfdir)/tigrc"
+	$(Q)$(foreach doc, $(filter %.1, $(MANDOC:doc/%=%)), \
+		$(QUIET_UNINSTALL_EACH)tools/uninstall.sh "$(DESTDIR)$(mandir)/man1/$(doc)";)
+	$(Q)$(foreach doc, $(filter %.5, $(MANDOC:doc/%=%)), \
+		$(QUIET_UNINSTALL_EACH)tools/uninstall.sh "$(DESTDIR)$(mandir)/man5/$(doc)";)
+	$(Q)$(foreach doc, $(filter %.7, $(MANDOC:doc/%=%)), \
+		$(QUIET_UNINSTALL_EACH)tools/uninstall.sh "$(DESTDIR)$(mandir)/man7/$(doc)";)
+	$(Q)$(foreach doc, $(HTMLDOC:doc/%=%), \
+		$(QUIET_UNINSTALL_EACH)tools/uninstall.sh "$(DESTDIR)$(docdir)/tig/$(doc)";)
+
+clean: clean-test clean-coverage
+	$(Q)$(RM) -r $(TARNAME) *.spec tig-*.tar.gz tig-*.tar.gz.md5 .deps _book node_modules
+	$(Q)$(RM) $(EXE) $(TOOLS) $(OBJS) core doc/*.xml src/builtin-config.c
+	$(Q)$(RM) $(OBJS:%.o=%.gcda) $(OBJS:%.o=%.gcno)
 
 distclean: clean
-	$(RM) -r doc/manual.html-chunked autom4te.cache release-docs
+	$(RM) -r doc/manual.html-chunked autom4te.cache
 	$(RM) doc/*.toc $(ALLDOC) aclocal.m4 configure
 	$(RM) config.h config.log config.make config.status config.h.in
 
@@ -122,9 +152,9 @@
 	strip $(EXE)
 
 update-headers:
-	@for file in include/*.h src/*.c tools/*.c; do \
+	@for file in include/tig/*.h src/*.c tools/*.c test/tools/*.c; do \
 		grep -q '/* Copyright' "$$file" && \
-			sed '0,/.*\*\//d' < "$$file" | \
+			$(SED) '0,/.*\*\//d' < "$$file" | \
 			grep -v '/* vim: set' > "$$file.tmp"; \
 		{ cat tools/header.h "$$file.tmp"; \
 		  echo "/* vim: set ts=8 sw=8 noexpandtab: */"; } > "$$file"; \
@@ -134,15 +164,15 @@
 
 update-docs: tools/doc-gen
 	doc="doc/tigrc.5.adoc"; \
-	sed -n '0,/ifndef::DOC_GEN_ACTIONS/p' < "$$doc" > "$$doc.gen"; \
+	$(SED) -n '0,/ifndef::DOC_GEN_ACTIONS/p' < "$$doc" > "$$doc.gen"; \
 	./tools/doc-gen actions >> "$$doc.gen"; \
-	sed -n '/endif::DOC_GEN_ACTIONS/,$$p' < "$$doc" >> "$$doc.gen" ; \
+	$(SED) -n '/endif::DOC_GEN_ACTIONS/,$$p' < "$$doc" >> "$$doc.gen" ; \
 	mv "$$doc.gen" "$$doc"
 
 dist: configure tig.spec
 	$(Q)mkdir -p $(TARNAME) && \
 	cp Makefile tig.spec configure config.h.in aclocal.m4 $(TARNAME) && \
-	sed -i "s/VERSION\s\+=\s\+[0-9]\+\([.][0-9]\+\)\+/VERSION	= $(VERSION)/" $(TARNAME)/Makefile
+	$(SED) -i "s/VERSION\s\+=\s\+[0-9]\+\([.][0-9]\+\)\+/VERSION	= $(VERSION)/" $(TARNAME)/Makefile
 	git archive --format=tar --prefix=$(TARNAME)/ HEAD | \
 	tar --delete $(TARNAME)/Makefile > $(TARNAME).tar && \
 	tar rf $(TARNAME).tar `find $(TARNAME)/*` && \
@@ -153,17 +183,71 @@
 rpm: dist
 	rpmbuild -ta $(TARNAME).tar.gz
 
-test: $(TOOLS)
-	test/unit-test-graph.sh
-	test/builtin-config.sh
+COVERAGE_CFLAGS ?= -fprofile-arcs -ftest-coverage
+all-coverage: all
+all-coverage: CFLAGS += $(COVERAGE_CFLAGS)
+
+COVERAGE_DIR 	?= test/coverage
+
+clean-coverage:
+	@$(RM) -rf $(COVERAGE_DIR)
+
+reset-coverage: clean-coverage
+	$(LCOV) --reset-counters
+
+test-coverage: clean-coverage all-coverage test $(COVERAGE_DIR)/index.html
+
+$(COVERAGE_DIR)/trace:
+	@mkdir -p $(COVERAGE_DIR)
+	$(QUIET_LCOV)$(LCOV) $(Q:@=--quiet) --capture --no-external --directory . --output-file $@
+
+$(COVERAGE_DIR)/index.html: $(COVERAGE_DIR)/trace
+	$(QUIET_GENHTML)$(GENHTML) $(Q:@=--quiet) --output-directory $(COVERAGE_DIR) $<
+
+ADDRESS_SANITIZER_CFLAGS ?= -fsanitize=address -fno-omit-frame-pointer
+all-address-sanitizer: all
+all-address-sanitizer: CFLAGS += $(ADDRESS_SANITIZER_CFLAGS)
+
+test-address-sanitizer: clean all-address-sanitizer test
+test-address-sanitizer: export TIG_ADDRESS_SANITIZER_ENABLED=yes
+
+TESTS  = $(sort $(shell find test -type f -name '*-test'))
+TESTS_TODO = $(sort $(shell find test -type f -name '*-test' -exec grep -l '\(test_todo\|-todo=\)' {} \+))
+
+clean-test:
+	$(Q)$(RM) -r test/tmp
+
+test: clean-test $(TESTS)
+	$(QUIET_SUMMARY)test/tools/show-results.sh
+
+ifneq (,$(strip $(V:@=)))
+export MAKE_TEST_OPTS = no-indent
+else
+export MAKE_TEST_OPTS =
+endif
+
+$(TESTS): PATH := $(CURDIR)/test/tools:$(CURDIR)/src:$(PATH)
+$(TESTS): $(EXE) test/tools/test-graph
+	$(QUIET_TEST)$(TEST_SHELL) $@
+
+test-todo: MAKE_TEST_OPTS += todo
+test-todo: $(TESTS_TODO)
 
 # Other autoconf-related rules are hidden in config.make.in so that
 # they don't confuse Make when we aren't actually using ./configure
-configure: configure.ac acinclude.m4 tools/*.m4
-	./autogen.sh
-
-.PHONY: all all-debug doc doc-man doc-html install install-doc \
-	install-doc-man install-doc-html clean spell-check dist rpm test
+configure: configure.ac tools/*.m4
+	$(QUIET_GEN)./autogen.sh
+
+site:
+	gitbook install
+	gitbook build
+	find _book -type f | grep -E -v '(gitbook|json|html)' | xargs rm
+
+.PHONY: all all-coverage all-debug clean clean-coverage clean-test doc \
+	doc-man doc-html dist distclean install install-doc \
+	install-doc-man install-doc-html install-release-doc-html \
+	install-release-doc-man rpm spell-check strip test \
+	test-coverage update-docs update-headers $(TESTS)
 
 ifdef NO_MKSTEMPS
 COMPAT_CPPFLAGS += -DNO_MKSTEMPS
@@ -180,18 +264,25 @@
 COMPAT_OBJS += compat/strndup.o
 endif
 
-COMPAT_OBJS += compat/hashtab.o
+ifdef NO_WORDEXP
+COMPAT_CPPFLAGS += -DNO_WORDEXP
+COMPAT_OBJS += compat/wordexp.o
+endif
+
+COMPAT_OBJS += compat/hashtab.o compat/wcwidth.o
 
 override CPPFLAGS += $(COMPAT_CPPFLAGS)
+
+GRAPH_OBJS = src/graph.o src/graph-v1.o src/graph-v2.o
 
 TIG_OBJS = \
 	src/tig.o \
 	src/types.o \
 	src/string.o \
 	src/util.o \
+	src/map.o \
 	src/argv.o \
 	src/io.o \
-	src/graph.o \
 	src/refdb.o \
 	src/builtin-config.o \
 	src/request.o \
@@ -203,6 +294,7 @@
 	src/prompt.o \
 	src/display.o \
 	src/view.o \
+	src/search.o \
 	src/parse.o \
 	src/watch.o \
 	src/pager.o \
@@ -218,14 +310,16 @@
 	src/main.o \
 	src/stash.o \
 	src/grep.o \
+	src/ui.o \
+	$(GRAPH_OBJS) \
 	$(COMPAT_OBJS)
 
 src/tig: $(TIG_OBJS)
 
-TEST_GRAPH_OBJS = test/test-graph.o src/string.o src/util.o src/io.o src/graph.o $(COMPAT_OBJS)
-test/test-graph: $(TEST_GRAPH_OBJS)
-
-DOC_GEN_OBJS = tools/doc-gen.o src/string.o src/types.o src/util.o src/request.o
+TEST_GRAPH_OBJS = test/tools/test-graph.o src/string.o src/util.o src/io.o $(GRAPH_OBJS) $(COMPAT_OBJS)
+test/tools/test-graph: $(TEST_GRAPH_OBJS)
+
+DOC_GEN_OBJS = tools/doc-gen.o src/string.o src/types.o src/util.o src/request.o compat/wcwidth.o
 tools/doc-gen: $(DOC_GEN_OBJS)
 
 OBJS = $(sort $(TIG_OBJS) $(TEST_GRAPH_OBJS) $(DOC_GEN_OBJS))
@@ -236,7 +330,7 @@
 	$(QUIET_LINK)$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) $^ $(LDLIBS) -o $@
 
 %.o: %.c $(CONFIG_H)
-	@mkdir -p $(abspath .deps/$(*D))
+	@mkdir -p .deps/$(*D)
 	$(QUIET_CC)$(CC) -I. -Iinclude $(CFLAGS) $(DEPS_CFLAGS) $(CPPFLAGS) -c -o $@ $<
 
 -include $(OBJS:%.o=.deps/%.d)
@@ -245,19 +339,19 @@
 	$(QUIET_GEN)tools/make-builtin-config.sh $< > $@
 
 tig.spec: contrib/tig.spec.in
-	$(QUIET_GEN)sed -e 's/@@VERSION@@/$(RPM_VERSION)/g' \
+	$(QUIET_GEN)$(SED) -e 's/@@VERSION@@/$(RPM_VERSION)/g' \
 	    -e 's/@@RELEASE@@/$(RPM_RELEASE)/g' < $< > $@
 
 doc/manual.html: doc/manual.toc
 doc/manual.html: ASCIIDOC_FLAGS += -ainclude-manual-toc
 %.toc: %.adoc
-	$(QUIET_GEN)sed -n '/^\[\[/,/\(---\|~~~\)/p' < $< | while read line; do \
+	$(QUIET_GEN)$(SED) -n '/^\[\[/,/\(---\|~~~\)/p' < $< | while read line; do \
 		case "$$line" in \
 		"----"*)  echo ". <<$$ref>>"; ref= ;; \
 		"~~~~"*)  echo "- <<$$ref>>"; ref= ;; \
 		"[["*"]]") ref="$$line" ;; \
 		*)	   ref="$$ref, $$line" ;; \
-		esac; done | sed 's/\[\[\(.*\)\]\]/\1/' > $@
+		esac; done | $(SED) 's/\[\[\(.*\)\]\]/\1/' > $@
 
 README.html: README.adoc doc/asciidoc.conf
 	$(QUIET_ASCIIDOC)$(ASCIIDOC) $(ASCIIDOC_FLAGS) -b xhtml11 -d article -a readme $<
@@ -296,27 +390,3 @@
 	$(QUIET_XMLTO)$(XMLTO) man -o doc $<
 
 %.html-chunked : %.xml
-	$(QUIET_XMLTO)$(XMLTO) html -o $@ $<
-
-%.pdf : %.xml
-	$(QUIET_DB2PDF)$(DOCBOOK2PDF) -o doc $<
-
-#############################################################################
-# Quiet make
-#############################################################################
-
-ifneq ($(findstring $(MAKEFLAGS),s),s)
-V			= @
-Q			= $(V:1=)
-QUIET_CC		= $(Q:@=@echo    '        CC  '$@;)
-QUIET_LINK		= $(Q:@=@echo    '      LINK  '$@;)
-QUIET_GEN		= $(Q:@=@echo    '       GEN  '$@;)
-QUIET_ASCIIDOC		= $(Q:@=@echo    '  ASCIIDOC  '$@;)
-QUIET_XMLTO		= $(Q:@=@echo    '     XMLTO  '$@;)
-QUIET_DB2PDF		= $(Q:@=@echo    '    DB2PDF  '$@;)
-# tools/install.sh will print 'file -> $install_dir/file'
-QUIET_INSTALL		= $(Q:@=@printf  '   INSTALL  ';)
-QUIET_INSTALL_EACH	= $(Q:@=printf   '   INSTALL  ';)
-
-export V
-endif
