=== debian/changelog ===
tig (2.3.0-1) unstable; urgency=medium

  * New upstream release.
    - Updated debian/watch to point to the new Github location.
  * Update standards version to 4.1.1; no changes.

 -- Sebastian Harl <tokkee@debian.org>  Sun, 22 Oct 2017 15:38:27 +0200
