=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Sebastian Harl <tokkee@debian.org>
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.14.6), libncursesw5-dev, libreadline-dev,
  asciidoc (>= 8.4), xmlto, docbook-utils
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Homepage: http://jonas.nitro.dk/tig/
 Vcs-Git: git://git.tokkee.org/pkg-tig.git
 Vcs-Browser: http://git.tokkee.org/?p=pkg-tig.git
