=== debian/changelog ===
tig (2.4.1-1) unstable; urgency=medium

  * New upstream version.
  * debian/control:
    - Build depend on readline >= 6.3; that's the min version specified by
      upstream.
    - Update standards version to 4.2.1:
      - Change Vcs-Browser URL from HTTP to HTTPS.
  * debian/maintscript:
    - Clean up obsolete /etc/bash_completion.d/tig; thanks to Christoph Anton
      Mitterer for reporting this (Closes: #868091).

 -- Sebastian Harl <tokkee@debian.org>  Thu, 08 Nov 2018 23:08:23 +0100
