=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: vcs
 Priority: optional
 Maintainer: Sebastian Harl <tokkee@debian.org>
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.14.6), libncursesw5-dev, libreadline-dev,
- asciidoc (>= 8.4), xmlto, docbook-utils
-Standards-Version: 4.1.1
+Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.14.6), libncursesw5-dev,
+ libreadline-dev (>= 6.3), asciidoc (>= 8.4), xmlto, docbook-utils
+Standards-Version: 4.2.1
 Homepage: http://jonas.nitro.dk/tig/
 Vcs-Git: git://git.tokkee.org/pkg-tig.git
-Vcs-Browser: http://git.tokkee.org/?p=pkg-tig.git
+Vcs-Browser: https://git.tokkee.org/?p=pkg-tig.git
 
 Package: tig
 Architecture: any
