=== debian/rules ===
--- 
+++ 
@@ -53,7 +53,7 @@
 	
 	rm -f config.h config.log config.make config.status
 	rm -rf doc/manual.html-chunked/
-	rm -f doc/manual.pdf doc/manual.html doc/manual.toc
+	rm -f doc/manual.pdf doc/manual.html doc/manual.toc doc/manual.tex
 	rm -f doc/tigmanual.7
 	rm -f doc/tig.1 doc/tig.1.html doc/tigrc.5 doc/tigrc.5.html
 	rm -f INSTALL.html NEWS.html README.html
@@ -71,9 +71,9 @@
 	rm -f debian/tig/usr/share/doc/tig/INSTALL.html \
 		debian/tig/usr/share/doc/tig/README.html
 	
-	mkdir -p debian/tig/etc/bash_completion.d
-	cp contrib/tig-completion.bash debian/tig/etc/bash_completion.d/tig
-	chmod 644 debian/tig/etc/bash_completion.d/tig
+	mkdir -p debian/tig/usr/share/bash-completion/completions
+	cp contrib/tig-completion.bash debian/tig/usr/share/bash-completion/completions/tig
+	chmod 644 debian/tig/usr/share/bash-completion/completions/tig
 
 binary-indep:
 	# nothing to do here
@@ -83,7 +83,7 @@
 	dh_testroot
 	dh_installchangelogs NEWS.adoc
 	dh_installdocs doc/manual.pdf
-	dh_installexamples
+	dh_installexamples contrib/*.tigrc
 	dh_link
 	dh_strip
 	dh_compress -X.pdf
