=== debian/changelog ===
tig (2.5.1-1) unstable; urgency=medium

  * New upstream release (Closes: #963005).
    - Fixes segfault with readline 8; thanks to Marco Trevisan for reporting
      this (Closes: #944123).
  * Update standards-version to 4.5.1 and compat to 12; no changes.

 -- Sebastian Harl <tokkee@debian.org>  Tue, 05 Jan 2021 23:30:32 +0100
