=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: vcs
 Priority: optional
 Maintainer: Sebastian Harl <tokkee@debian.org>
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.14.6), libncursesw5-dev,
+Build-Depends: debhelper (>= 12), dpkg-dev (>= 1.14.6), libncursesw5-dev,
  libreadline-dev (>= 6.3), asciidoc (>= 8.4), xmlto, docbook-utils
-Standards-Version: 4.2.1
+Standards-Version: 4.5.1
 Homepage: http://jonas.nitro.dk/tig/
 Vcs-Git: git://git.tokkee.org/pkg-tig.git
 Vcs-Browser: https://git.tokkee.org/?p=pkg-tig.git
