## tig 2.5.5

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 # The last tagged version. Can be overridden either by the version from
 # git or from the value of the DIST_VERSION environment variable.
-VERSION	= 2.5.1
+VERSION	= 2.5.5
 
 all:
 
@@ -85,12 +85,50 @@
 TAR ?= tar
 endif
 
+GENERATE_COMPILATION_DATABASE ?= no
+ifeq ($(GENERATE_COMPILATION_DATABASE),yes)
+compdb_check = $(shell $(CC) $(ALL_CFLAGS) \
+	-c -MJ /dev/null \
+	-x c /dev/null -o /dev/null 2>&1; \
+	echo $$?)
+ifneq ($(compdb_check),0)
+override GENERATE_COMPILATION_DATABASE = no
+$(warning GENERATE_COMPILATION_DATABASE is set to "yes", but your compiler does not \
+support generating compilation database entries)
+endif
+else
+ifneq ($(GENERATE_COMPILATION_DATABASE),no)
+$(error please set GENERATE_COMPILATION_DATABASE to "yes" or "no" \
+(not "$(GENERATE_COMPILATION_DATABASE)"))
+endif
+endif
+
+compdb_dir = compile_commands
+ifeq ($(GENERATE_COMPILATION_DATABASE),yes)
+missing_compdb_dir = $(compdb_dir)
+$(missing_compdb_dir):
+	@mkdir -p $@
+
+compdb_file = $(compdb_dir)/$(subst /,-,$@.json)
+compdb_args = -MJ $(compdb_file)
+else
+missing_compdb_dir = 
+compdb_args =
+endif
+
 all: $(EXE) $(TOOLS)
 all-debug: all
 all-debug: CFLAGS += $(DFLAGS)
 doc: $(ALLDOC)
 doc-man: $(MANDOC)
 doc-html: $(HTMLDOC)
+
+ifeq ($(GENERATE_COMPILATION_DATABASE),yes)
+all: compile_commands.json
+compile_commands.json:
+	$(QUIET_GEN)sed -e '1s/^/[/' -e '$$s/,$$/]/' $(compdb_dir)/*.o.json > $@+
+	@if test -s $@+; then mv $@+ $@; else $(RM) $@+; fi
+endif
 
 export sysconfdir
 
@@ -138,14 +176,18 @@
 		$(QUIET_UNINSTALL_EACH)tools/uninstall.sh "$(DESTDIR)$(docdir)/tig/$(doc)";)
 
 clean: clean-test clean-coverage
-	$(Q)$(RM) -r $(TARNAME) *.spec tig-*.tar.gz tig-*.tar.gz.md5 .deps _book node_modules
+	$(Q)$(RM) -r $(TARNAME) tig-*.tar.gz tig-*.tar.gz.sha256 .deps _book node_modules
+	$(Q)$(RM) -r $(compdb_dir) compile_commands.json
 	$(Q)$(RM) $(EXE) $(TOOLS) $(OBJS) core doc/*.xml src/builtin-config.c
 	$(Q)$(RM) $(OBJS:%.o=%.gcda) $(OBJS:%.o=%.gcno)
 
 distclean: clean
 	$(RM) -r doc/manual.html-chunked autom4te.cache
-	$(RM) doc/*.toc $(ALLDOC) aclocal.m4 configure
-	$(RM) config.h config.log config.make config.status config.h.in
+	$(RM) doc/*.toc configure~
+	$(RM) config.h config.log config.make config.status config.h.in~
+
+veryclean: distclean
+	$(RM) tig.spec $(ALLDOC) aclocal.m4 configure config.h.in
 
 spell-check:
 	for file in $(TXTDOC) src/tig.c; do \
@@ -174,7 +216,7 @@
 	$(SED) -n '/endif::DOC_GEN_ACTIONS/,$$p' < "$$doc" >> "$$doc.gen" ; \
 	mv "$$doc.gen" "$$doc"
 
-dist: configure tig.spec
+dist: configure config.h.in aclocal.m4 tig.spec
 	$(Q)mkdir -p $(TARNAME) && \
 	cp Makefile tig.spec configure config.h.in aclocal.m4 $(TARNAME) && \
 	$(SED) -i "s/VERSION\s\+=\s\+[0-9]\+\([.][0-9]\+\)\+/VERSION	= $(VERSION)/" $(TARNAME)/Makefile
@@ -182,7 +224,7 @@
 	$(TAR) --delete $(TARNAME)/Makefile > $(TARNAME).tar && \
 	find $(TARNAME) -type f -print0 | LC_ALL=C sort -z | $(TAR) --mtime=$(shell git show -s --format=@%ct) --mode=o=rX,ug+rw,a-s --owner=root --group=root --null -T - -rf $(TARNAME).tar && \
 	gzip -f -n -9 $(TARNAME).tar && \
-	md5sum $(TARNAME).tar.gz > $(TARNAME).tar.gz.md5
+	sha256sum $(TARNAME).tar.gz > $(TARNAME).tar.gz.sha256
 	$(Q)$(RM) -r $(TARNAME)
 
 rpm: dist
@@ -240,7 +282,7 @@
 
 # Other autoconf-related rules are hidden in config.make.in so that
 # they don't confuse Make when we aren't actually using ./configure
-configure: configure.ac tools/*.m4
+configure config.h.in aclocal.m4: configure.ac tools/*.m4
 	$(QUIET_GEN)./autogen.sh
 
 site:
@@ -252,7 +294,7 @@
 	doc-man doc-html dist distclean install install-doc \
 	install-doc-man install-doc-html install-release-doc-html \
 	install-release-doc-man rpm spell-check strip test \
-	test-coverage update-docs update-headers $(TESTS)
+	test-coverage update-docs update-headers veryclean $(TESTS)
 
 ifdef NO_MKSTEMPS
 COMPAT_CPPFLAGS += -DNO_MKSTEMPS
@@ -336,9 +378,9 @@
 %: %.o
 	$(QUIET_LINK)$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) $^ $(LDLIBS) -o $@
 
-%.o: %.c $(CONFIG_H)
+%.o: %.c $(CONFIG_H) $(missing_compdb_dir)
 	@mkdir -p .deps/$(*D)
-	$(QUIET_CC)$(CC) -I. -Iinclude $(CFLAGS) $(DEPS_CFLAGS) $(CPPFLAGS) -c -o $@ $<
+	$(QUIET_CC)$(CC) -I. -Iinclude $(compdb_args) $(CFLAGS) $(DEPS_CFLAGS) $(CPPFLAGS) -c -o $@ $<
 
 -include $(OBJS:%.o=.deps/%.d)
 
@@ -352,38 +394,3 @@
 doc/manual.html: doc/manual.toc
 doc/manual.html: ASCIIDOC_FLAGS += -ainclude-manual-toc
 %.toc: %.adoc
-	$(QUIET_GEN)$(SED) -n '/^\[\[/,/\(---\|~~~\)/p' < $< | while read line; do \
-		case "$$line" in \
-		"----"*)  echo ". <<$$ref>>"; ref= ;; \
-		"~~~~"*)  echo "- <<$$ref>>"; ref= ;; \
-		"[["*"]]") ref="$$line" ;; \
-		*)	   ref="$$ref, $$line" ;; \
-		esac; done | $(SED) 's/\[\[\(.*\)\]\]/\1/' > $@
-
-README.html: README.adoc doc/asciidoc.conf
-	$(QUIET_ASCIIDOC)$(ASCIIDOC) $(ASCIIDOC_FLAGS) -b xhtml11 -d article -a readme $<
-
-INSTALL.html: INSTALL.adoc doc/asciidoc.conf
-	$(QUIET_ASCIIDOC)$(ASCIIDOC) $(ASCIIDOC_FLAGS) -b xhtml11 -d article $<
-
-NEWS.html: NEWS.adoc doc/asciidoc.conf
-	$(QUIET_ASCIIDOC)$(ASCIIDOC) $(ASCIIDOC_FLAGS) -b xhtml11 -d article $<
-
-doc/tigmanual.7: doc/manual.adoc
-
-test/API.adoc: test/tools/libtest.sh
-	@printf '%s\n%s\n' 'Testing API' '-----------' > $@
-	$(QUIET_ASCIIDOC)egrep '^#\|' test/tools/libtest.sh | $(SED) 's/^#| \{0,1\}//' | cat -s >> $@
-
-%.1.html : %.1.adoc doc/asciidoc.conf
-	$(QUIET_ASCIIDOC)$(ASCIIDOC) $(ASCIIDOC_FLAGS) -b xhtml11 -d manpage $<
-
-%.1.xml : %.1.adoc doc/asciidoc.conf
-	$(QUIET_ASCIIDOC)$(ASCIIDOC) $(ASCIIDOC_FLAGS) -b docbook -d manpage $<
-
-%.5.html : %.5.adoc doc/asciidoc.conf
-	$(QUIET_ASCIIDOC)$(ASCIIDOC) $(ASCIIDOC_FLAGS) -b xhtml11 -d manpage $<
-
-%.5.xml : %.5.adoc doc/asciidoc.conf
-	$(QUIET_ASCIIDOC)$(ASCIIDOC) $(ASCIIDOC_FLAGS) -b docbook -d manpage $<
-
