=== debian/changelog ===
tig (2.5.5-1) unstable; urgency=medium

  * New upstream release; thanks to Elimar Riesebieter for reporting this
    (Closes: #990887).
    - Build-depend on libpcre2-dev.
  * Update homepage field; thanks to Elimar Riesebieter for reporting this
    (Closes: #990886).

 -- Sebastian Harl <tokkee@debian.org>  Sat, 26 Feb 2022 13:58:05 +0100
