=== debian/control ===
--- 
+++ 
@@ -2,10 +2,15 @@
 Section: vcs
 Priority: optional
 Maintainer: Sebastian Harl <tokkee@debian.org>
-Build-Depends: debhelper (>= 12), dpkg-dev (>= 1.14.6), libncursesw5-dev,
- libreadline-dev (>= 6.3), asciidoc (>= 8.4), xmlto, docbook-utils
+Build-Depends: debhelper (>= 12), dpkg-dev (>= 1.14.6),
+ libncursesw5-dev,
+ libpcre2-dev,
+ libreadline-dev (>= 6.3),
+ asciidoc (>= 8.4),
+ docbook-utils,
+ xmlto
 Standards-Version: 4.5.1
-Homepage: http://jonas.nitro.dk/tig/
+Homepage: https://jonas.github.io/tig/
 Vcs-Git: git://git.tokkee.org/pkg-tig.git
 Vcs-Browser: https://git.tokkee.org/?p=pkg-tig.git
