=== debian/rules ===
--- 
+++ 
@@ -19,12 +19,6 @@
 CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)
 
 LDFLAGS  = $(shell dpkg-buildflags --get LDFLAGS)
-
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -O0
-else
-	CFLAGS += -O2
-endif
 
 config.status: configure
 	dh_testdir
