=== debian/changelog ===
tig (2.5.8-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:25:45 +1100

tig (2.5.8-1build1) noble; urgency=medium

  * No-change rebuild for readline time64 change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Mar 2024 03:01:56 +0100

tig (2.5.8-1) unstable; urgency=medium

  * New upstream release; thanks to Nicolas Dechesne for reporting this
    (Closes: #1040527).
  * debian/watch:
    - Use api.github.com to make sure it works with the new, JavaScript
      created release page.
  * debian/control:
    - Build-depend on libncurses-dev instead of deprecated libncursesw5-dev.

 -- Sebastian Harl <tokkee@debian.org>  Sun, 01 Oct 2023 11:17:09 +0200
