=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: tig
 Section: vcs
 Priority: optional
-Maintainer: Sebastian Harl <tokkee@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Sebastian Harl <tokkee@debian.org>
 Build-Depends: debhelper (>= 12), dpkg-dev (>= 1.14.6),
- libncursesw5-dev,
+ libncurses-dev,
  libpcre2-dev,
  libreadline-dev (>= 6.3),
  asciidoc (>= 8.4),
