=== debian/watch ===
version=4
opts="searchmode=plain" \
https://api.github.com/repos/jonas/tig/releases?per_page=50 \
https://github.com/jonas/tig/releases/download/tig-[^/]*/tig-@ANY_VERSION@\.tar\.gz
