## tig 2.6.0

=== debian/changelog ===
tig (2.6.0-2) unstable; urgency=medium

  * d/rules: Replace build flags with DPKG_EXPORT_BUILDFLAGS
  * Revamp build scripts
  * Patch tests to use /usr/bin/tig when SYSTEM_TIG=1
  * Add upstream tests as autopkgtest

 -- Lee Garrett <debian@rocketjump.eu>  Sat, 20 Dec 2025 15:28:56 +0100

tig (2.6.0-1) unstable; urgency=medium

  * Salvage package with approval of current maintainer, re-adding tokkee as
    Uploader (#1086016#25).
    Thank you, tokkee, for nearly 20 years of dedication and care in maintaining
    tig. Your commitment is much appreciated by users and DDs alike!
  * Add d/gbp.conf and switch to DEP-14 layout
  * New upstream version 2.6.0 (Closes: #1086016)
  * d/copyright: Remove FSF postal address and make lintian happy
  * Update Standards-Version (no changes needed)
  * Move packaging repo to salsa and update URIs in d/control

 -- Lee Garrett <debian@rocketjump.eu>  Fri, 19 Dec 2025 14:57:06 +0100
