=== debian/control ===
--- 
+++ 
@@ -1,19 +1,23 @@
 Source: tig
 Section: vcs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Sebastian Harl <tokkee@debian.org>
-Build-Depends: debhelper (>= 12), dpkg-dev (>= 1.14.6),
- libncurses-dev,
- libpcre2-dev,
- libreadline-dev (>= 6.3),
- asciidoc (>= 8.4),
- docbook-utils,
- xmlto
-Standards-Version: 4.5.1
+Maintainer: Lee Garrett <debian@rocketjump.eu>
+Uploaders: Sebastian Harl <tokkee@debian.org>
+Build-Depends:
+  asciidoc (>= 8.4),
+  debhelper-compat (= 13),
+  docbook-utils,
+  dh-exec,
+  dpkg-dev (>= 1.14.6),
+  libncurses-dev,
+  libpcre2-dev,
+  libreadline-dev (>= 6.3),
+  pkgconf,
+  xmlto,
+Standards-Version: 4.7.2
 Homepage: https://jonas.github.io/tig/
-Vcs-Git: git://git.tokkee.org/pkg-tig.git
-Vcs-Browser: https://git.tokkee.org/?p=pkg-tig.git
+Vcs-Browser: https://salsa.debian.org/debian/tig
+Vcs-Git: https://salsa.debian.org/debian/tig.git
 
 Package: tig
 Architecture: any
@@ -33,4 +37,3 @@
   - Cherry-pick commits.
  .
  tig may also be used as a pager. It reads input from stdin and colorizes it.
-
