=== debian/tests/control ===
Tests: upstream-tests
Depends:
  @,
  build-essential,
  libncurses-dev,
  locales-all,
